DEC
11
2001

Does Your Online Bank Support Konqueror?

Oliver Strutynski has a mission.
Frustrated by the fact that some online banks discriminate against
Konqueror, he has
announced
a website for promoting
Konqueror to banks. According to the site, "It is the purpose of
this page to collect a list of online banking sites that work with recent
versions of Konqueror or to present work-arounds for using online banking
sites that fail to load correctly on first try
".
If you do engage in advocacy with your bank, please keep in mind the
Linux Advocacy
Guidelines
(non-Linux'ers, filter the page through sed -e s'@Linux@MYOS@g', and it will address you too). Most countries heavily regulate their banks and thus banks have additional legal obligations and
liabilities in terms of security. This means that providing support for a particular browser may not necessarily be as simple as it would be for a different category of website; however, if enough customers request it . . . .

Comments

Also just noticed this one from David, where he points out that sites that don't work with KDE 2.2.2 may work with the upcoming KDE3, thanks to improved JavaScript support.


By Navindra Umanee at Tue, 2001/12/11 - 6:00am

Yes, improving Javascript in Konqueror is the way to attain compatability. I don't think banks are discriminating directly against it.

At bankamerica.com, there is a gigantic heap of Javascript code. I have read through it before, trying to modify it to work with Konqueror just to login (for konq 2.1.1). The Javascript code works with IE and Netscape (even 4.7, so it does work in Linux). If Konqueror could understand all of that code properly, then it would work there also.

I think a bigger question here is: why the hell do bank websites need javascript? I did not feel comfortable reading that huge heap of code. It's not for additional security is it? JS won't help you there anyway. Security through major obscurity? I actually see no reason for the code, and I really wonder if the bank web programmers are just clueless. I vote that they just take out this pointless JS code. Then they'd gain not just Konq compatability, but lynx!


By Justin at Tue, 2001/12/11 - 6:00am

Bank of America works perfectly with kde2.2.1 and 2.2.2 with me


By radix at Wed, 2001/12/12 - 6:00am

I just tested it now and you're right!

I'm positive it didn't work in 2.1.1, and I'm pretty sure it didn't work in 2.2.1 either (or maybe it was 2.2.0...). Maybe bank of america changed their page? Anyway, it seems to be working. I even made a payment. Whee!


By Justin at Wed, 2001/12/12 - 6:00am

Cripes, it's the other way around for me! A while back (probably the 2.1 days) I was able to use Bank of America just fine (once I changed my UA string). However with 2.2.1 and 2.2.2 I haven't been able to log in. The page asking for Account #, etc, just loops. I enter the info, and get sent back to the page. Over and over. This happens with a 2.2.1 box at home and a 2.2.2 box here at work (happened with 2.2.1 here at work as well). Works for me in Mozilla, though, so my account is properly set up. *shrug*


By KDE User at Wed, 2001/12/12 - 6:00am

Change it back to konqueror


By radix at Wed, 2001/12/12 - 6:00am

does this "page" display with Konq3 it fails due js with 2.2.2. Displays fine with netscape...


By AC at Wed, 2001/12/12 - 6:00am

Hi,

HSBC (http://www.hsbc.co.uk/) works fine with Konqueror in KDE3.

Cheers,

Jono


By Jono at Tue, 2001/12/11 - 6:00am

I went to their tech support page & it asks for details on OS & browser.
The only OSes listed are Windows & MacOS and the only browsers listed are IE4 & 5 as well as NS4.


By Antonio D'souza at Tue, 2001/12/11 - 6:00am

Works fine w KDE 2.2.2 aswell. (Atlwast I havn't had any problems.)

Alex


By Alex Willmer at Wed, 2001/12/12 - 6:00am

While I don't use my banks online functions to their full capacity, First Union's (USA) online services:

http://www.firstunion.com/FrontLineLogin.html

seem to work just fine in KDE 2.2.2, and have since I first tried under 2.1.
All I've used it for is transferring between accounts and checking my balances, but that's good enough for me, at least.


By Shamyl Zakariya at Tue, 2001/12/11 - 6:00am

... Credit Suisse

https://directnet1.credit-suisse.com/dn5/ident_post.eval?FUNCTION=ANMELDEN

and hope for KDE3 with it's improved JavaScript handling.


By Tobias Hoevekamp at Tue, 2001/12/11 - 6:00am

Even the regular site has a problem, some of the frames do not load. This can be circumvented by finding the frame URL in the source and loading it manually.

Have not tested the online banking features yet, but requested login information so I will soon.


By Rob Kaper at Tue, 2001/12/11 - 6:00am

The regular site seems to work fine with me in Konqueror.

I've tried the online banking. I installed the latest (version 1.3.#) Java runtime environment from www.blackdown.org. The package includes plugins for Netscape version 4 and for Mozilla based browsers (Galeon, Mozilla). The online banking works with Mozilla and Galeon but not with Netscape 4.7.

Konqeror doesn't work! I'm not sure why? In the Konqeror Netscape-plugins settings, it says to look for plugins in /usr/lib/mozilla/plugins and in /usr/lib/netscape/plugins. Which JAVA plugin is loaded by Konqeror I'm not sure? Maybe if I remove the /usr/lib/netscape/plugins line???


By Huib Wouters at Wed, 2001/12/12 - 6:00am

The regular site seems to work fine with me in Konqueror.

I've tried the online banking. I installed the latest (version 1.3.#) Java runtime environment from www.blackdown.org. The package includes plugins for Netscape version 4 and for Mozilla based browsers (Galeon, Mozilla). The online banking works with Mozilla and Galeon but not with Netscape 4.7.

Konqeror doesn't work! I'm not sure why? In the Konqeror Netscape-plugins settings, it says to look for plugins in /usr/lib/mozilla/plugins and in /usr/lib/netscape/plugins. Which JAVA plugin is loaded by Konqeror I'm not sure? Maybe if I remove the /usr/lib/netscape/plugins line???


By Huib Wouters at Wed, 2001/12/12 - 6:00am

I want to wire money to my son in the Netherlands through Postbank. How do I do this? Do you have a corresponding bank in the US?


By Johnnie Eiland at Thu, 2003/10/16 - 5:00am

the web page asks for submissions to be emailed to: olistrut at gmx dot net

while enjoyable, posting your bank experience here at theDot might not be the most effective way to get them listed on the web site. =)


By Aaron J. Seigo at Tue, 2001/12/11 - 6:00am

Hi,

I think it would be better and in a more prominent place if this page was located at www.konqueror.org.

And, there are "color codes" defined on your page, all I saw was black text.

Bye
Alex


By aleXXX at Tue, 2001/12/11 - 6:00am

i talked with oliver about those exact issues and he said that once they have enough reports together they will be moving it to konqueror.org. that is also why the page is so spartan at the moment as it will be moving to the konqueror.org webpage template.


By Aaron J. Seigo at Tue, 2001/12/11 - 6:00am

Do you have style sheets enabled? Colors work fine with Konqueror 2.2.2 and Mozilla 0.9.6 and the page validates against HTML 4.0.1, so this seems to be a problem on your side.


By Oliver Strutynski at Wed, 2001/12/12 - 6:00am

Some of the sites listed on the page fail because the java applets employed there do not work fully. I think this is at the moment the biggest problem with using konqueror as an (apart from this issue the best) all purpose web browser.

In general java applets seem to load/initialise a lot slower in konqueror than in any other browser. Furthermore, since java<->javascript interaction (LiveConnect) does not work, a lot of applets on banking sites do not function correctly.

What I would really love to see is that (at least optionally) konqueror would load applets through SUN's java plugin, and that LiveConnect would be implemented so that a plugin could have access to the browser and vice versa.


By Magnus Kessler at Tue, 2001/12/11 - 6:00am

So true. My biggest problem with Konqueror is all the hack it needs to launch my webbank. Since I'm a Linux Newbe, it has taken me so long to get the right Java support for my box fixed right. I guess a lot of users out there has had the same problems with Java like me I would most definitly recomend a better Java embedding in 3.0 than that of now. Is the reason its not working very well now any licenseissues with Sun - or is it possible to have Java support with KDE without having to download it from Sun in the future?


By Fred at Tue, 2001/12/11 - 6:00am

I completely agree, applets do work but there is no interaction between the applets and the browser at the moment and this breaks many pages that use applets. In my opinion, this is one of the most important limitations of Konqueror at the moment, most other things are nicely standard compliant.


By Marcel Offermans at Fri, 2001/12/14 - 6:00am

is there any work currently being done on adding LiveConnect support to konqueror?


By geva at Thu, 2002/03/14 - 6:00am

Off topic but I would really like to know if this bug is being worked on for Konqueror in KDE 3. Basically the problem is some gif animations using 100% cpu.
These bug reports are all related to the problem:
http://bugs.kde.org/db/29/29963.html
http://bugs.kde.org/db/23/23368.html
http://bugs.kde.org/db/29/29196.html
http://bugs.kde.org/db/34/34433.html
Maybe there's an explanation as to why it's hard to solve?
Now back on topic my bank is http://nbc.ca This site will only work with IE or Netscape 4.x. Mozilla wont work (navigation menu JavaScript problem), Opera wont work (Tells me I'm navigating using bookmarks), Konqueror gives me blank page (JavaScript again I guess).
This means I have to keep Netscape 4.77 around just for one site and to tell you the truth I really don't expect the KDE team to make it work either. I'd much rather the bank to use some form of standard when writing their web site. I've emailed them but I think they are under the impression that there is only one OS out there.


By linuser at Tue, 2001/12/11 - 6:00am

as i understand it, the GIF problems are Qt issues. i've heard that Qt3 handles such things better, though i have no idea if this is just rumour or actual fact. =)


By Aaron J. Seigo at Tue, 2001/12/11 - 6:00am

Greetings
I think this is a Java problem here, what fails for me is Java over SSL.

I heard some info about this in the past but I have never seen anything come out of it. Debugging bank web pages is a real problem because as much as I like what David is doing for KDE and KJS I am just not sure I want him tweaking with my bank account ;)

I have contacted them and they seemed to take concern but I have yet to see anything.

Cheers
-ian reinhart geiser


By Ian Reinhart Geiser at Tue, 2001/12/11 - 6:00am

Well, you're developer yourself, but just to make sure it isn't the usual case:
you have the JSSE extension installed as described in the konqueror-java-howto
on konqueror.org?

Kevin


By Kevin Krammer at Tue, 2001/12/11 - 6:00am

Java and SSL are a known issue on the PPC, although I have to admit I have not tried again with it since KDE 2.2.0. Ill wander back there and give it a try. The blackdown port of Java is lacking sound, ssl and some other minor things.

I have never ateempted to try it on my Athlon, I figure when it works consistantly it will ship default with KDE, kinda how java works now.

Cheers
-ian reinhart geiser


By Ian Reinhart Geiser at Tue, 2001/12/11 - 6:00am

I use Washington Mutual for online banking. There website www.wamu.com works great for me.

I'm able to:
1) Login
2) Check my account info
3) Pay my bills

I'm using KDE 2.2.1
Konqueror 2.2.1 as well.

--kent


By Kent Nguyen at Tue, 2001/12/11 - 6:00am

http://www.wamu.com works for me as well. I'm using Konq 2.2.2


By Jake at Wed, 2001/12/12 - 6:00am

No-go with Konqueror. Doesn't work in Mozilla either. Have to use Windows :(. I have been planning to complain to them about that.


By Janne at Tue, 2001/12/11 - 6:00am

Postgirot.se explicitly looks for Netscape or Explorer *+ windows*. If it's the right version of Netscape, but not running under Windows, it just tells me to update my browser..

I mailed them about this, and they simply stated that most people use Windows. They weren't interested in changing anything.

Important sites shouldn't be designed by people like that... Because of pure laziness from their side, I have to fire up Windows to pay bills.


By Johnny Andersson at Tue, 2001/12/11 - 6:00am

Have you tried changing the user agent? That would get you past their browser detection. Then you only have to worry about whether or not Konqueror is up to the task of rendering the pages...


By not me at Wed, 2001/12/12 - 6:00am

Yes, I have tried to change the user-agent. I can log in there without any problems, but the banking-section doesn't work (the menu where I choose what to do doesn't work). It's made with javascript (if I remember correctly), so the problem can be at Konquerors javascript-implementation.


By Janne at Wed, 2001/12/12 - 6:00am

It does work with Mozilla. Has always worked for me.
Make sure you got the newest Mozilla version (including the psm package) installed.

I haven't tried it with Konqueror yet..


By Joni at Wed, 2001/12/12 - 6:00am

I prefer Konq because it uses native widgets, but I'll admit that Mozilla probably has a (somewhat) wider acceptance base. Has anyone tried to create a gecko based browser for KDE which uses Qt widgets similar to how Galeon uses gecko w. GTK?


By KDEuser at Wed, 2001/12/12 - 6:00am

konq supports kmozilla instead of khtml for webpage rendering


By radix at Wed, 2001/12/12 - 6:00am

I see that I have kdebindings-kmozilla installed on my system (RH 7.2) but how do I actually enable kmozilla on Konq?


By KDEuser at Thu, 2001/12/13 - 6:00am

in konq>> settings/ configure Konq , then file associtations. Type in html, and expand text to find html the only choice. click that and go to embedding. you should see this list on the bottowm KHTML, KMOZILLA. if there is no KMOZILLA, click ADD then KMOZILLA. if ther already is KMOZILLA, select it then push "move up". hope this helps you out


By standsolid at Wed, 2002/10/30 - 6:00am

I'm on a Redhat 9.0, with apt from freshrpms and only kde (packages provided by kde-redhat).
I've installed kdebindings (1.3.4), and went to Konqueror config, but there was no trace of kmozilla there (even on the ADD dialog box)...
Anyone could help me?

Renê


By Rene Assano at Tue, 2003/09/23 - 5:00am

> I'll admit that Mozilla probably has a (somewhat) wider acceptance base.

I don't think that's that true. In fact, until a few months ago, Mozilla was abolutely horrid. Now, I think there are more Moz users than Konq users, but not by much. I'd have to say that there are still many, many, NS 4.7 users. Opera also has a significant loyal user base.


By jz at Wed, 2001/12/12 - 6:00am

It doesn't work with me. I have the latest Mozilla installed with apt-get. The menu where you choose what to do doesn't work. Sometimes it seems to be trying to work, but it's unusable for me. I have had more luck with Mozilla than with Konqueror, but neither of them work well enough to be usable.

Dunno bout the psm, I'll check it out when I get back to Linux.


By Janne at Wed, 2001/12/12 - 6:00am

Mozilla-psm is the package that has SSL stuff and all that, so it is necessary.

You could also try if it would work with a new, clean profile..


By Joni at Thu, 2001/12/13 - 6:00am

Mozilla-psm is the package that has SSL stuff and all that, so it is necessary.

You could also try if it would work with a new, clean profile..


By Joni at Thu, 2001/12/13 - 6:00am

> No-go with Konqueror
What happens exactly ?

With Konqueror from CVS (~ 3.0-beta1), the front page appears rather ok.
What should I test (not having an account there, obviously) ?


By David Faure at Fri, 2001/12/14 - 6:00am

I am using konqueror 2.2.1 on Suse 7.3. I had tried to access the german comdirect online bank www.comdirect.de.

As soon as you press the button 'login direct brokerage' you get a message,
that only Microsoft Internet Explorer Version 4.0 or higher, Netscape Communicator Version 4.5 or higher, as well as the usage of Netscape 6 Version 6.1 or higher is possible for access.

Afterwards, it is stated, that you are currently using "Mozilla/5.0 (compatible; Konqueror/2.2.1)". I tried to fake a different browser type. But it did not help.

From comdirect I got the message, that Java, java script and style sheets have to be activated on Netscape 4 (Version 4.78 works, but not very good).

Here is the original German message presented when konqueror is used:

Herzlich willkommen bei *comdirect)

Hinweis:
Sie benutzen einen Browser, mit dem die Nutzung des Direct Brokerage der comdirect nicht möglich ist.
Um unser Direct Brokerage nutzen zu können benötigen Sie einen Microsoft Internet Explorer ab Version 4.0 oder einen Netscape Communicator ab Version 4.5. Außerdem ist die Nutzung des Netscape 6 ab Version 6.1 möglich. Beta-Versionen der o.g. Browser sind nicht zugelassen.

Im Augenblick benutzen Sie "Mozilla/5.0 (compatible; Konqueror/2.2.1)" als Web-Browser.

Sollten Sie weiterhin Probleme mit dem Zugriff per Internet haben, wenden Sie sich bitte in der Zeit von 8:00 bis 22:00 Uhr an unsere Hotline unter der Rufnummer (01803) 336440.

Vielen Dank.
comdirect


By Josy at Wed, 2001/12/12 - 6:00am

>I tried to fake a different browser type. But it did not help.

Are you sure it worked? If it says you are using konqueror when you press the button, you didn't change the user agent correctly. If you change the user agent, they will not be able to tell that you are not using IE except with dirty hacks, and they certainly won't be able to tell that you are using Konqueror.


By not me at Wed, 2001/12/12 - 6:00am

Your are right, it works!!!

During login to direct brokerage (happens, when the button 'login direct brokerage' is pressed), the address changes from 'www.comdirect.de' to 'brokerage.comdirect.de'.

Thus the http site/domain name to fake is not 'www.comdirect.de' as I did before,
but it is 'brokerage.comdirect.de' or short'comdirect.de'.

Thanks!!!


By Josy at Wed, 2001/12/12 - 6:00am

Hi,

tell me how far you got with konqi and comdirect.

Due to some JS probs, there's no way in completing
several forms. No brokerage etc.

For me, konqi2.2.2 is useless on comdirect.

bye
mph


By Michael P. H. at Wed, 2001/12/12 - 6:00am

Pages